cURL
curl --request GET \
--url https://api.deepreel.com/project/assets/avatar/ \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.deepreel.com/project/assets/avatar/"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.deepreel.com/project/assets/avatar/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"gender": 1
}
]Avatar
List Avatars
Returns a list of all avatars (public and custom) available to the user
GET
/
project
/
assets
/
avatar
/
cURL
Authorizations
Your API key with the prefix: dr_. This is required by all endpoints to access our API programatically. You can view your API Key by navigating to the account settings panel (In the bottom left corner click on your Account → profile)
Query Parameters
Filter the Avatars based on the Gender. Available Options 1 - Male, 2 - Female, 3 - Non Binary
Available options:
1, 2, 3 Filter only the custom avatars.
Id of the language. Filter the Avatars based on the language.
Filter the Avatars based on the name (partial-match and case-insensitive).
